%define name gai-pal
%define version 0.7
%define release %mkrel 4

Name: %name
Summary: A dear friend GAI applet
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Games/Other
Source: http://prdownloads.sourceforge.net/gai/%{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
BuildRoot: %{_tmppath}/build-root-%{name}
BuildRequires: libgai-devel >= 0.5.3

%description
A dear friend GAI applet!

This applet can be used in the GNOME and ROX Panels and as a
WindowMaker dockapp. Other panels and Window Managers will be
supported soon.

%prep
%setup -q 

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib/* %buildroot%_libdir/
%endif
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/%name" icon="%name.png" \
                needs="X11" section="Amusement/Other" \
 title="Gai-pal" longtitle="A dear friend" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gai-pal
Comment=Backgrund switcher
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Toys;Amusement;
StartupNotify=true
Encoding=UTF-8
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc INSTALL README
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%_datadir/applications/mandriva*
%{_menudir}/%name
%{_datadir}/pixmaps/*
%_libdir/apps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.7-4mdv2007.0
- xdg menu

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 0.7-3mdk
- Rebuild
- use mkrel

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix build on x86_64

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- drop merged patch
- New release 0.7

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-3mdk
- fix description
- fix ROX installation

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix source URL
- fix description

* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix installation
- requires new gai
- fix configure call
- new version

* Sat Nov  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- rebuild for new gai

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
   - Make a spec file
